<?xml version="1.0" encoding="iso-8859-1" ?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="playlist">

<html>
<head>
	<title>
		<xsl:value-of select="@host"/> playlists: <xsl:value-of select="@title"/>
	</title>
	<link rel="stylesheet" type="text/css" href="/images/default.css"/>
	<script language="javascript" src="/images/jscripts.js"></script>
</head>

<body link="#0C6CB4" vlink="#0C6CB4" alink="#000080" bgcolor="#FFFFFF" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" marginheight="0" marginwidth="0" onLoad="setTimeout('refreshIt()',5000)">

<map name="buttons">
	<area href="?button=Top.xml" alt="Top" shape="circle" coords="42, 28, 6"/>
	<area href="?button=Bottom.xml" alt="Right" shape="poly" coords="43, 38, 54, 38, 62, 42, 63, 47, 55, 52, 43, 52"/>
	<area href="?button=Right.xml" alt="Left" shape="poly" coords="39, 38, 30, 38, 22, 42, 22, 46, 30, 51, 39, 51"/>
	<area href="?button=Left.xml" alt="Bottom" shape="poly" coords="47, 56, 43, 74, 41, 73, 36, 56, 40, 54, 43, 54"/>
</map>
<map name="knob">
	<area href="?button=KnobRight.xml" alt="Knob_Right" shape="poly" coords="23, 38, 31, 39, 36, 44, 38, 50, 39, 57, 37, 62, 33, 66, 27, 69, 24, 69, 24, 63, 30, 61, 32, 56, 32, 51, 30, 46, 23, 44"/>
	<area href="?button=KnobLeft.xml" alt="Knob_Left" shape="poly" coords="23, 37, 14, 39, 9, 45, 7, 51, 7, 58, 10, 63, 14, 67, 19, 69, 23, 69, 23, 63, 17, 61, 15, 57, 14, 53, 17, 48, 20, 45, 23, 44"/>
	<area href="?button=Knob.xml" alt="Knob" shape="circle" coords="23, 54, 9"/>
</map>

<table width="100%" border="0" cellpadding="4" cellspacing="0">
	<tr>
		<td>
			<img border="0" src="/images/empeg.gif" hspace="5" vspace="5"/>
		</td>
		<td align="right">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="3">
						<img border="0" src="/images/fascia_left.gif" width="94" height="90" usemap="#buttons"/>
					</td>
					<td>
						<img border="0" src="/images/fascia_top.gif" width="128" height="28"/>
					</td>
					<td rowspan="3">
						<img border="0" src="/images/fascia_right.gif" width="74" height="90" usemap="#knob"/>
					</td>
				</tr>
				<tr>
					<td>
						<img src="/proc/empeg_screen.png" width="128" height="32" name="display"/>
					</td>
				</tr>
				<tr>
					<td>
						<img border="0" src="/images/fascia_bottom.gif" width="128" height="30"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

<table width="100%" bgcolor="#000000" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td colspan="3">
			<img src="/images/pix.gif" width="1" height="1"/>
		</td>
	</tr>
</table>

<table width="100%" border="0" cellpadding="2" cellspacing="0">
	<tr bgcolor="#EEEEEE">
		<td>
			<b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="/">Home</a> | <a href="/drive0/fids/101?.xml">Playlists</a></b>
		</td>
		<form name="form">
			<td align="right">
				<b>Send: </b>
				<select size="1" name="cmd" onChange="javascript:formHandler()" style="font-family: Verdana; font-size: 10pt">
					<option value="">(Choose Command)</option>
					<option value="?serial=%20">Play</option>
					<option value="?serial=W">Pause</option>
					<option value="?button=Right.L">Fast Forward</option>
					<option value="?button=Left.L">Rewind</option>
					<option value="?button=NextTrack">Next Track</option>
					<option value="?button=PrevTrack">Previous Track</option>
					<option value="?button=VolUp.L">Volume +</option>
					<option value="?button=VolDown.L">Volume -</option>
					<option value="?button=Info">Info Mode</option>
					<option value="?button=Visual">Next Visual</option>
					<option value="?button=Top.L">Sleep</option>
					<option value="?button=Bottom">Menu Enter</option>
					<option value="?button=Left">Menu Left</option>
					<option value="?button=Right">Menu Right</option>
					<option value="?button=Top">Menu Back</option>
				</select>
			</td>
		</form>
	</tr>
</table>

<table width="100%" bgcolor="#000000" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td colspan="3">
			<img src="/images/pix.gif" width="1" height="1"/>
		</td>
	</tr>
</table>

<table width="100%" border="0" cellpadding="10" cellspacing="0">
	<tr>
		<td>
			<table border="1" cellspacing="0" cellpadding="2">

				<thead bgcolor="#EEEEEE">
					<tr>
						<td>
							<a>
								<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?.m3u</xsl:attribute>
								<b>Stream</b>
							</a>
						</td>
						<td>
							<a>
								<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?SERIAL=%23<xsl:value-of select="@fid"/>.xml</xsl:attribute>
								<b>Play</b>
							</a>
						</td>
						<td align="center">
							<b><xsl:value-of select="@title"/></b>
						</td>
						<td><b>Length</b></td>
						<td><b>Type</b></td>
						<td><b>Artist</b></td>
						<td><b>Source</b></td>
					</tr>
				</thead>	
				<tbody>
					<xsl:apply-templates select="items"/>
				</tbody>
			</table>
		</td>
	</tr>
</table>
</body>
</html>

</xsl:template>

<xsl:template match="items">

	<xsl:for-each select="item">

	<tr>
		<xsl:attribute name="bgcolor">
			<xsl:choose>
				<xsl:when test = "(position() mod 2 =0)">EEEEEE</xsl:when>
				<xsl:when test = "(position() mod 2 =1)">FFFFFF</xsl:when>
			</xsl:choose>
		</xsl:attribute>

		<td align="center">
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
				<img src="/images/icon_stream.gif" height="16" width="16" border="0"/>
			</a>
		</td>

		<td align="center">
			<a>
				<xsl:attribute name="href"><xsl:value-of select="/playlist/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
				<img src="/images/icon_play.gif" height="16" width="16" border="0"/>
			</a>
		</td>

		<td>
			<a>
				<xsl:choose>
					<xsl:when test="type[.='tune']">
						<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.xml</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="title"/>
			</a>
		</td>

		<td align="center">
			<xsl:choose>
				<xsl:when test="type[.='tune']">
					<xsl:value-of select="duration"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="length"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>

		<td>
			<xsl:value-of select="type"/>
		</td>

		<td>
			<xsl:value-of select="artist"/>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>

		<td>
			<xsl:value-of select="source"/>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>


</xsl:stylesheet>
